Bug 499943 - Plugging AC when laptop is in suspend leaves it undetected after waking up
Plugging AC when laptop is in suspend leaves it undetected after waking up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-09 07:02 EDT by Vedran Miletić
Modified: 2010-06-28 08:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (43.24 KB, application/octet-stream)
2009-05-09 07:02 EDT, Vedran Miletić
no flags Details
Output of devkit-power --dump (1.28 KB, application/octet-stream)
2009-08-25 21:01 EDT, Agustin Barto
no flags Details

  None (edit)
Description Vedran Miletić 2009-05-09 07:02:29 EDT
Created attachment 343202 [details]
dmesg

Description of problem:
AC plugged during suspend will not get detected as plugged when laptop wakes up.

Version-Release number of selected component (if applicable):
Lastest rawhide everything as of today.

How reproducible:
Not sure, will test more.

Steps to Reproduce:
1. Put laptop to standby.
2. After a while, battery will be critical.
3. Plug AC.
4. Power on the laptop.
5. It will shutdown because "battery is critical", even though it's charging.

Additional info:
HP 6710s

[vedran@earthmover ~]$ lspci 
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
02:04.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev b6)
10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
18:00.0 Ethernet controller: Broadcom Corporation NetLink BCM5906M Fast Ethernet PCI Express (rev 02)

Could be related to bug 496418.
Comment 1 Richard Hughes 2009-06-03 04:17:22 EDT
Is the state correct in DeviceKit-power --dump when you resume?
Comment 2 Bug Zapper 2009-06-09 11:31:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Aristeu Rozanski 2009-07-07 10:52:21 EDT
Same thing on a Lenovo X61. spent one minute on, then gnome-power-manager
reported the battery was low and hibernated.
Comment 4 Tore Anderson 2009-08-09 07:49:13 EDT
Confirmed, on a Lenovo X41s (F11).  If the machine is auto-hibernated due to low battery, and I plug in the mains cord and power it back on, it will auto-hibernate almost immediately again, complaining about the battery being critically low.

Tore
Comment 5 Agustin Barto 2009-08-12 15:40:38 EDT
I have a similar problem with a Dell Studio 15 (1555) on Gnome and KDE 4.3 with the latest updates on updates-testing.
Comment 6 Richard Hughes 2009-08-20 07:54:59 EDT
(In reply to comment #1)
> Is the state correct in DeviceKit-power --dump when you resume?  

I need an answer to this. Thanks.
Comment 7 Agustin Barto 2009-08-25 21:01:31 EDT
Created attachment 358653 [details]
Output of devkit-power --dump

Output of devkit-power --dump after resume. The system was resumed disconnected from the AC power.
Comment 8 Agustin Barto 2009-08-27 12:43:32 EDT
Killing devkit-power-daemon is a workaround. After a bit it wakes up again and g-p-m status is updated.
Comment 9 Bug Zapper 2010-04-27 10:14:31 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 08:27:47 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.